org.apache.hc.client5.http.impl.cookie

## Class RFC6265CookieSpecProvider

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.RFC6265CookieSpecProvider

All Implemented Interfaces:
  CookieSpecProvider

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class RFC6265CookieSpecProvider
    extends Object
    implements CookieSpecProvider

`CookieSpecProvider` implementation that provides an instance of RFC 6265 conformant cookie policy. The instance returned by this factory can be shared by multiple threads.

Since:
  4.4

### Nested Class Summary

Nested Classes
`static class` `RFC6265CookieSpecProvider.CompatibilityLevel`

### Constructor Summary

Constructors
Constructor and Description
`RFC6265CookieSpecProvider()`
`RFC6265CookieSpecProvider(PublicSuffixMatcher publicSuffixMatcher)`
`RFC6265CookieSpecProvider(RFC6265CookieSpecProvider.CompatibilityLevel compatibilityLevel, PublicSuffixMatcher publicSuffixMatcher)`

### Method Summary

Methods
`CookieSpec` `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RFC6265CookieSpecProvider

    public RFC6265CookieSpecProvider(RFC6265CookieSpecProvider.CompatibilityLevel compatibilityLevel,
                             PublicSuffixMatcher publicSuffixMatcher)

#### RFC6265CookieSpecProvider

    public RFC6265CookieSpecProvider(PublicSuffixMatcher publicSuffixMatcher)

#### RFC6265CookieSpecProvider

    public RFC6265CookieSpecProvider()

### Method Detail

#### create

    public CookieSpec create(org.apache.hc.core5.http.protocol.HttpContext context)

Description copied from interface: `CookieSpecProvider`
Creates an instance of `CookieSpec`.

Specified by:
  `create` in interface `CookieSpecProvider`
Returns:
  auth scheme.